Bug 8231 - Cannot run Java 1.2.2 with native threads
Summary: Cannot run Java 1.2.2 with native threads
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-06 16:46 UTC by Greg Marsh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 02:42:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Marsh 2000-01-06 16:46:28 UTC
If I try to run java or javac with the native threads on our RH 6.0 system
I get the following message:

/usr/local/jdk1.2.2/bin/i386/native_threads/javac: error in loading shared
libraries: /usr/local/jdk1.2.2/jre/lib/i386/native_threads/libhpi.so:
symbol sem_init, version GLIBC_2.1 not defined in file libpthread.so.0
with link time reference

It runs with green threads.
The jdk is the 1.2.2 RC3 version from Blackdown.

Comment 1 Cristian Gafton 2000-02-05 02:42:59 UTC
They compiled it for a different version of glibc. They should document what
version exactly.


Note You need to log in before you can comment on or make changes to this bug.